package com.javahonk.resttemplate;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;

@Path("/studentService")
public class StudentService {

	@GET
	@Path("/get")
	@Produces("application/json")
	public Student getProductInJSON() {

		Student student = new Student();
		student.setName("Java Honk");
		student.setZip(44003);
		
		return student; 

	}

	@POST
	@Path("/post")
	@Consumes("application/json")
	public Response createProductInJSON(Student product) {

		String result = "Successful : " + product;
		return Response.status(201).entity(result).build();
		
	}
	
}